omq.common.util

## Class ParameterQueue

- java.lang.Object
- - omq.common.util.ParameterQueue

-     public class ParameterQueue
      extends java.lang.Object

  This class is used to create new environments.
  Author:
    Sergi Toda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTO_DELETE_MQUEUE` Set if server will delete a queue when is no longer in use
    `static java.lang.String` | `AUTO_DELETE_QUEUE` Set if server will delete a queue when is no longer in use
    `static long` | `DEFAULT_TIMEOUT` Time in milis by default is set in a minute
    `static java.lang.String` | `DELIVERY_MODE` Set 1 to indicate the message will be nonpersistent and 2 to indicate it will be persistent
    `static java.lang.String` | `DURABLE_MQUEUE` Set if a queue must be durable.
    `static java.lang.String` | `DURABLE_QUEUE` Set if a queue must be durable.
    `static java.lang.String` | `ENABLE_COMPRESSION` Set whether the messages must be compressed or not
    `static java.lang.String` | `ENABLE_SSL` Set if the system will use ssl
    `static java.lang.String` | `EXCLUSIVE_MQUEUE` Set if we are declaring an exclusive queue (restricted to this connection)
    `static java.lang.String` | `EXCLUSIVE_QUEUE` Set if we are declaring an exclusive queue (restricted to this connection)
    `static java.lang.String` | `MESSAGE_TTL_IN_QUEUES` The MESSAGE_TTL_IN_QUEUES controls for how long a message published to the queues can live before it is discarded.
    `static java.lang.String` | `MULTI_QUEUE_NAME` Set the specific name of a multi queue in a specific object
    `static java.lang.String` | `NUM_THREADS` Set how many threads will be created to invoke remote methods
    `static java.lang.String` | `PROXY_SERIALIZER` Set the proxy's serializer method
    `static java.lang.String` | `RABBIT_HOST` Set the ip where the rabbitmq server is.
    `static java.lang.String` | `RABBIT_PORT` Set the port that rabbitmq uses.
    `static java.lang.String` | `RETRY_TIME_CONNECTION` Set how many time we have to wait to retry the connection with the server when this goes down
    `static java.lang.String` | `RPC_EXCHANGE` Set the exchange where the objectmq are listening
    `static java.lang.String` | `RPC_REPLY_QUEUE` Set the clients reply queue.
    `static java.lang.String` | `USER_NAME` Set the clients username
    `static java.lang.String` | `USER_PASS` Set the clients password

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterQueue()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_NAME

          public static java.lang.String USER_NAME

      Set the clients username

    - #### USER_PASS

          public static java.lang.String USER_PASS

      Set the clients password

    - #### RABBIT_HOST

          public static java.lang.String RABBIT_HOST

      Set the ip where the rabbitmq server is.

    - #### RABBIT_PORT

          public static java.lang.String RABBIT_PORT

      Set the port that rabbitmq uses.

    - #### ENABLE_SSL

          public static java.lang.String ENABLE_SSL

      Set if the system will use ssl

    - #### RETRY_TIME_CONNECTION

          public static java.lang.String RETRY_TIME_CONNECTION

      Set how many time we have to wait to retry the connection with the server when this goes down

    - #### RPC_EXCHANGE

          public static java.lang.String RPC_EXCHANGE

      Set the exchange where the objectmq are listening

    - #### RPC_REPLY_QUEUE

          public static java.lang.String RPC_REPLY_QUEUE

      Set the clients reply queue. Every client must have a different queue name.

    - #### MULTI_QUEUE_NAME

          public static java.lang.String MULTI_QUEUE_NAME

      Set the specific name of a multi queue in a specific object

    - #### DURABLE_QUEUE

          public static java.lang.String DURABLE_QUEUE

      Set if a queue must be durable. The queue won't be lost when RabbitMQ crashes if DURABLE_QUEUE is set true.

    - #### AUTO_DELETE_QUEUE

          public static java.lang.String AUTO_DELETE_QUEUE

      Set if server will delete a queue when is no longer in use

    - #### EXCLUSIVE_QUEUE

          public static java.lang.String EXCLUSIVE_QUEUE

      Set if we are declaring an exclusive queue (restricted to this connection)

    - #### DURABLE_MQUEUE

          public static java.lang.String DURABLE_MQUEUE

      Set if a queue must be durable. The queue won't be lost when RabbitMQ crashes if DURABLE_QUEUE is set true.

    - #### AUTO_DELETE_MQUEUE

          public static java.lang.String AUTO_DELETE_MQUEUE

      Set if server will delete a queue when is no longer in use

    - #### EXCLUSIVE_MQUEUE

          public static java.lang.String EXCLUSIVE_MQUEUE

      Set if we are declaring an exclusive queue (restricted to this connection)

    - #### MESSAGE_TTL_IN_QUEUES

          public static java.lang.String MESSAGE_TTL_IN_QUEUES

      The MESSAGE_TTL_IN_QUEUES controls for how long a message published to the queues can live before it is discarded. A message that has been in the queue for longer than the configured TTL is said to be dead. This property must be a non-negative 32 bit integer (0 <= n <= 2^32-1), describing the TTL period in milliseconds.

    - #### PROXY_SERIALIZER

          public static java.lang.String PROXY_SERIALIZER

      Set the proxy's serializer method

    - #### ENABLE_COMPRESSION

          public static java.lang.String ENABLE_COMPRESSION

      Set whether the messages must be compressed or not

    - #### DELIVERY_MODE

          public static java.lang.String DELIVERY_MODE

      Set 1 to indicate the message will be nonpersistent and 2 to indicate it will be persistent

    - #### NUM_THREADS

          public static java.lang.String NUM_THREADS

      Set how many threads will be created to invoke remote methods

    - #### DEFAULT_TIMEOUT

          public static long DEFAULT_TIMEOUT

      Time in milis by default is set in a minute

  - ### Constructor Detail

    - #### ParameterQueue

          public ParameterQueue()